'use strict';

var angular = require('angular');
require('../modules');

angular
  .module('appconfig.services')
  .factory('appFlowConfigService', appFlowConfigService);

/**
 * @ngInject
 */
function appFlowConfigService(CacheService, LinkerService, $state) {
  
  var NEED_GESTRUE_PASSWORD = 'appconfig_need_gesture_password';
  
  var appFlowConfigService = {
    needGesturePassword: needGesturePassword,
    setNeedGesturePassword: setNeedGesturePassword
  };
  
  return appFlowConfigService;
  
  function needGesturePassword() {
    return CacheService.get(NEED_GESTRUE_PASSWORD, true);
  }
  
  function setNeedGesturePassword(need) {
    return CacheService.put(NEED_GESTRUE_PASSWORD, need);
  }
}
